config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/default/syslogd.new
config etc/logrotate.d/syslog.new
config etc/rc.d/rc.syslog.new
config etc/syslog.conf.new
config var/log/cron.new
config var/log/debug.new
config var/log/maillog.new
config var/log/messages.new
config var/log/secure.new
config var/log/syslog.new

# Remove any leftover empty files:
rm -f var/log/cron.new
rm -f var/log/debug.new
rm -f var/log/maillog.new
rm -f var/log/messages.new
rm -f var/log/secure.new
rm -f var/log/syslog.new

( cd usr/lib64 ; rm -rf libsyslog.so )
( cd usr/lib64 ; ln -sf libsyslog.so.0.0.0 libsyslog.so )
( cd usr/lib64 ; rm -rf libsyslog.so.0 )
( cd usr/lib64 ; ln -sf libsyslog.so.0.0.0 libsyslog.so.0 )
